1 foot RG58 PL259 UHF Male to UHF Male Angle Pigta
₹7920 -33% ₹5300/-
F plug male to Y 2x F TV jack female Splitter Comb
₹7700 -35% ₹5000/-
2QTY TNC Male Adapter to 2 TNC Female Jack T-Type
₹6970 -34% ₹4600/-
20inch N type male plug to BNC male RF pigtail cab
₹8580 -37% ₹5400/-
UHF SO239 pigtail cable female to female jack adap
₹6420 -33% ₹4300/-
RFC240 SMA Male to N Type Male Antenna Adapter Cab
₹36500 -40% ₹21900/-
MMCX Male Right Angle to TNC Female Bulkhead Mount
₹6870 -33% ₹4600/-
TNC Male to PL259 UHF Female Adapter Connector Qui
₹4780 -33% ₹3200/-
6 feet Fakra to Fakra Connector Code "C" Female Ca
₹12190 -36% ₹7800/-
UHF PL259 SO239 male twist-on connector RFC400 RG8
₹4710 -32% ₹3200/-
5pack N Male Right Angle Crimp Connector for RG58L
₹13080 -35% ₹8500/-
BNC Male to Male RG179 75ohm Cable 5 feet for HD 3
₹10450 -32% ₹7100/-
2 QTY RF Coaxial Coax Adapter SMA Female to UHF Fe
₹7080 -35% ₹4600/-
BNC Male to Male RG179 75ohm Cable 20 feet for HD
₹12390 -37% ₹7800/-
UHF Male PL259 Plug Right Angle Clamp RG8 RG165 RF
₹7050 -39% ₹4300/-
315Mhz 5dbi high gain wireless module antenna 3m c
₹7190 -36% ₹4600/-
RF Cable TNC Female Bulkhead O-ring to SMA Male Co
₹7250 -31% ₹5000/-
RP-SMA Male Right Angle Switch N Female Jack Cable
₹6770 -32% ₹4600/-
10 feet RG58 TNC MALE to SMA MALE Pigtail Jumper R
₹11220 -34% ₹7400/-
RF SMB Connector Crimp Female Right Angle For RFC1
₹5170 -38% ₹3200/-
UHF SO239 Jack Female to Jack Female Bulkhead Stra
₹5810 -38% ₹3600/-
1 Foot RG58 Silver Plated BNC Male Angle to BNC Ma
₹7940 -37% ₹5000/-
15 feet RFC195 KSR195 TNC MALE to TNC FEMALE BULKH
₹14860 -30% ₹10400/-
TNC Male to Female Marine GPS Antenna Extension Ca
₹12190 -36% ₹7800/-
N Male Connector to RP-SMA Male Antenna Pigtail Ca
₹8910 -36% ₹5700/-
BNC Male Plug Clamp for RG8 RFC400 RG213 RG165 Cab
₹4780 -33% ₹3200/-
F-Type Female Jack to TV PAL Male Plug Coaxial RF
₹5340 -40% ₹3200/-
100cm RF RG142 Pigtail N Male Plug Pin to N Male S
₹10430 -30% ₹7300/-
25 feet RG400 Silver Plated TNC Male to SMA Male R
₹45170 -40% ₹27100/-
BNC Male to Male RG179 75ohm Cable 10 feet for HD
₹9850 -35% ₹6400/-
